import request from '@/utils/request'

// 查询部门列表
export function stepAbnormal(query) {
  return request({
    url: '/work/step/abnormal',
    method: 'get',
    params: query
  })
}

// 查询部门列表
export function materialSubmit(query) {
  return request({
    url: '/work/material/submit',
    method: 'get',
    params: query
  })
}

// 查询部门列表
export function materialAbnormalList(query) {
  return request({
    url: '/work/material/abnormal_list',
    method: 'get',
    params: query
  })
}
// 查询部门列表
export function materialCheckFlagError(query) {
  return request({
    url: '/work/material/checkFlagError',
    method: 'get',
    params: query
  })
}

// 查询部门列表
export function materialNextStepFlagError(query) {
  return request({
    url: '/work/material/nextStepFlagError',
    method: 'get',
    params: query
  })
}
// 异常轧制页面下道次
export function stepNextError(query) {
  return request({
    url: '/work/step/nextError',
    method: 'get',
    params: query
  })
}

// /work/material/abnormal_start
export function materialAbnormalStart(query) {
  return request({
    url: '/work/material/abnormal_start',
    method: 'get',
    params: query
  })
}


export function stepFinishError(batchId) {
  return request({
    url: '/work/step/finishError/'+batchId,
    method: 'get',
  })
}

export function materialNextError(query) {
  return request({
    url: '/work/material/nextError',
    method: 'get',
    params: query,
  })
}

export function stepCheckAbnormal(batchId) {
  return request({
    url: '/work/step/check_abnormal/'+batchId,
    method: 'get',
  })
}



// 新增用户
export function stepDel(data) {
  return request({
    url: '/work/step/del',
    method: 'post',
    data: data
  })
}
